const httpError = require('http-errors')

module.exports = function (Rbac) {
  return {
    user: function (req, res, next) {
      if (!req.currentUser) return next(httpError.Unauthorized())
      next()
    },

    admin: function (req, res, next) {
      if (!req.currentUser) return next(httpError.Unauthorized())
      if (!req.currentUser.admin) return next(httpError.Forbidden())
      next()
    }
  }
}
