module.exports = function (knex) {
  var Rbac = {}
  Rbac.Schema = require('./schema')(Rbac)
  Rbac.Email = require('./email')(knex, Rbac)
  Rbac.Group = require('./group')(knex, Rbac)
  Rbac.Privilege = require('./privilege')(knex, Rbac)
  Rbac.Organization = require('./organization')(knex, Rbac)
  Rbac.Permission = require('./permission')(knex, Rbac)
  Rbac.Person = require('./person')(knex, Rbac)
  Rbac.User = require('./user')(knex, Rbac)
  return Rbac
}
